<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: NSDate(DateFormat)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_n_s_date_07_date_format_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="#pub-static-methods">类方法</a> &#124;
<a href="category_n_s_date_07_date_format_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">NSDate(DateFormat)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_n_s_date_09_date_format_8h_source.html">NSDate+DateFormat.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a2ff544fc6d5befb1ab063d9251062c52"><td class="memItemLeft" align="right" valign="top">(long long)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#a2ff544fc6d5befb1ab063d9251062c52">millisecondTimestamp</a></td></tr>
<tr class="memdesc:a2ff544fc6d5befb1ab063d9251062c52"><td class="mdescLeft">&#160;</td><td class="mdescRight">时间戳（毫秒）  <a href="category_n_s_date_07_date_format_08.html#a2ff544fc6d5befb1ab063d9251062c52">更多...</a><br /></td></tr>
<tr class="separator:a2ff544fc6d5befb1ab063d9251062c52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad60597ffd1258ffdb0215f04ca9854a5"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#ad60597ffd1258ffdb0215f04ca9854a5">prettyDateFormat</a></td></tr>
<tr class="memdesc:ad60597ffd1258ffdb0215f04ca9854a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">1小时内显示几分钟前；24小时内显示今天时间；超过一天只显示日期  <a href="category_n_s_date_07_date_format_08.html#ad60597ffd1258ffdb0215f04ca9854a5">更多...</a><br /></td></tr>
<tr class="separator:ad60597ffd1258ffdb0215f04ca9854a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae18a74b8d338c997ce5a82aa301c4f50"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#ae18a74b8d338c997ce5a82aa301c4f50">dateFormatForyyyyMMDD</a></td></tr>
<tr class="memdesc:ae18a74b8d338c997ce5a82aa301c4f50"><td class="mdescLeft">&#160;</td><td class="mdescRight">时间格式化(yyyy-MM-dd)  <a href="category_n_s_date_07_date_format_08.html#ae18a74b8d338c997ce5a82aa301c4f50">更多...</a><br /></td></tr>
<tr class="separator:ae18a74b8d338c997ce5a82aa301c4f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a087e0b6b094cd2ce14f0800d38b1d39e"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#a087e0b6b094cd2ce14f0800d38b1d39e">dateFormatFormmss</a></td></tr>
<tr class="memdesc:a087e0b6b094cd2ce14f0800d38b1d39e"><td class="mdescLeft">&#160;</td><td class="mdescRight">时间格式化(如 '2:30' 秒)  <a href="category_n_s_date_07_date_format_08.html#a087e0b6b094cd2ce14f0800d38b1d39e">更多...</a><br /></td></tr>
<tr class="separator:a087e0b6b094cd2ce14f0800d38b1d39e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f4f388bde90b61e38f2995f81ad7b73"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#a1f4f388bde90b61e38f2995f81ad7b73">dateFormatForMMSS</a></td></tr>
<tr class="memdesc:a1f4f388bde90b61e38f2995f81ad7b73"><td class="mdescLeft">&#160;</td><td class="mdescRight">时间格式化(如 '02:30' 秒)  <a href="category_n_s_date_07_date_format_08.html#a1f4f388bde90b61e38f2995f81ad7b73">更多...</a><br /></td></tr>
<tr class="separator:a1f4f388bde90b61e38f2995f81ad7b73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8c8d61682f7b674c72ba040f2a23039"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#af8c8d61682f7b674c72ba040f2a23039">dateStrWithDateFormat:</a></td></tr>
<tr class="separator:af8c8d61682f7b674c72ba040f2a23039"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac75caa34b3c9bc7dccf1b01bb70d0869"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#ac75caa34b3c9bc7dccf1b01bb70d0869">greaterThanOrEqualToDate:</a></td></tr>
<tr class="memdesc:ac75caa34b3c9bc7dccf1b01bb70d0869"><td class="mdescLeft">&#160;</td><td class="mdescRight">大于等于date  <a href="category_n_s_date_07_date_format_08.html#ac75caa34b3c9bc7dccf1b01bb70d0869">更多...</a><br /></td></tr>
<tr class="separator:ac75caa34b3c9bc7dccf1b01bb70d0869"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb03e0234279e03d8f79dda15e17b3c7"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#afb03e0234279e03d8f79dda15e17b3c7">lessThanOrEqualToDate:</a></td></tr>
<tr class="memdesc:afb03e0234279e03d8f79dda15e17b3c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">小于等于date  <a href="category_n_s_date_07_date_format_08.html#afb03e0234279e03d8f79dda15e17b3c7">更多...</a><br /></td></tr>
<tr class="separator:afb03e0234279e03d8f79dda15e17b3c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c7849e7a8d97fc56945265c7245954c"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_date_format_08.html#a9c7849e7a8d97fc56945265c7245954c">betweenOneDate:twoDate:</a></td></tr>
<tr class="separator:a9c7849e7a8d97fc56945265c7245954c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a73281fcfeddf92bde48a54484e68e281"><td class="memItemLeft" align="right" valign="top">(NSDate *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_n_s_date_07_date_format_08.html#a73281fcfeddf92bde48a54484e68e281">dateWithTimetag:</a></td></tr>
<tr class="memdesc:a73281fcfeddf92bde48a54484e68e281"><td class="mdescLeft">&#160;</td><td class="mdescRight">根据unix时间戳生成NSDate  <a href="category_n_s_date_07_date_format_08.html#a73281fcfeddf92bde48a54484e68e281">更多...</a><br /></td></tr>
<tr class="separator:a73281fcfeddf92bde48a54484e68e281"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89dddb5fcedeffc6245179b0b2846279"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_n_s_date_07_date_format_08.html#a89dddb5fcedeffc6245179b0b2846279">timeInterval:withFMT:</a></td></tr>
<tr class="separator:a89dddb5fcedeffc6245179b0b2846279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f5e51eeec33740ed6f4323fa8c895c1"><td class="memItemLeft" align="right" valign="top">(NSDate *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_n_s_date_07_date_format_08.html#a4f5e51eeec33740ed6f4323fa8c895c1">dateFromString:withFMT:</a></td></tr>
<tr class="separator:a4f5e51eeec33740ed6f4323fa8c895c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8h_source.html">NSDate+DateFormat.h</a> 第 <a class="el" href="_n_s_date_09_date_format_8h_source.html#l00011">11</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a9c7849e7a8d97fc56945265c7245954c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c7849e7a8d97fc56945265c7245954c">&#9670;&nbsp;</a></span>betweenOneDate:twoDate:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) betweenOneDate: </td>
          <td></td>
          <td class="paramtype">(NSDate *)&#160;</td>
          <td class="paramname"><em>oneDate</em></td>
        </tr>
        <tr>
          <td class="paramkey">twoDate:</td>
          <td></td>
          <td class="paramtype">(NSDate *)&#160;</td>
          <td class="paramname"><em>date</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>是否在两个日期之间</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">oneDate</td><td>小的日期 </td></tr>
    <tr><td class="paramname">date</td><td>大的日期 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>YES： 在中间; NO：不在 </dd></dl>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a1f4f388bde90b61e38f2995f81ad7b73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f4f388bde90b61e38f2995f81ad7b73">&#9670;&nbsp;</a></span>dateFormatForMMSS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) dateFormatForMMSS </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>时间格式化(如 '02:30' 秒) </p>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a087e0b6b094cd2ce14f0800d38b1d39e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a087e0b6b094cd2ce14f0800d38b1d39e">&#9670;&nbsp;</a></span>dateFormatFormmss</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) dateFormatFormmss </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>时间格式化(如 '2:30' 秒) </p>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="ae18a74b8d338c997ce5a82aa301c4f50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae18a74b8d338c997ce5a82aa301c4f50">&#9670;&nbsp;</a></span>dateFormatForyyyyMMDD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) dateFormatForyyyyMMDD </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>时间格式化(yyyy-MM-dd) </p>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a4f5e51eeec33740ed6f4323fa8c895c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f5e51eeec33740ed6f4323fa8c895c1">&#9670;&nbsp;</a></span>dateFromString:withFMT:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (NSDate *) dateFromString: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>string</em></td>
        </tr>
        <tr>
          <td class="paramkey">withFMT:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>fmt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="af8c8d61682f7b674c72ba040f2a23039"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8c8d61682f7b674c72ba040f2a23039">&#9670;&nbsp;</a></span>dateStrWithDateFormat:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) dateStrWithDateFormat: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>fmt</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a73281fcfeddf92bde48a54484e68e281"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73281fcfeddf92bde48a54484e68e281">&#9670;&nbsp;</a></span>dateWithTimetag:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (NSDate *) dateWithTimetag: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>timetag</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>根据unix时间戳生成NSDate </p>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="ac75caa34b3c9bc7dccf1b01bb70d0869"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac75caa34b3c9bc7dccf1b01bb70d0869">&#9670;&nbsp;</a></span>greaterThanOrEqualToDate:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) greaterThanOrEqualToDate: </td>
          <td></td>
          <td class="paramtype">(NSDate *)&#160;</td>
          <td class="paramname"><em>date</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>大于等于date </p>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="afb03e0234279e03d8f79dda15e17b3c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb03e0234279e03d8f79dda15e17b3c7">&#9670;&nbsp;</a></span>lessThanOrEqualToDate:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) lessThanOrEqualToDate: </td>
          <td></td>
          <td class="paramtype">(NSDate *)&#160;</td>
          <td class="paramname"><em>date</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>小于等于date </p>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a2ff544fc6d5befb1ab063d9251062c52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ff544fc6d5befb1ab063d9251062c52">&#9670;&nbsp;</a></span>millisecondTimestamp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (long long) millisecondTimestamp </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>时间戳（毫秒） </p>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="ad60597ffd1258ffdb0215f04ca9854a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad60597ffd1258ffdb0215f04ca9854a5">&#9670;&nbsp;</a></span>prettyDateFormat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) prettyDateFormat </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>1小时内显示几分钟前；24小时内显示今天时间；超过一天只显示日期 </p>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a89dddb5fcedeffc6245179b0b2846279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89dddb5fcedeffc6245179b0b2846279">&#9670;&nbsp;</a></span>timeInterval:withFMT:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (NSString *) timeInterval: </td>
          <td></td>
          <td class="paramtype">(NSTimeInterval)&#160;</td>
          <td class="paramname"><em>timeInterval</em></td>
        </tr>
        <tr>
          <td class="paramkey">withFMT:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>fmt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a> 第 <a class="el" href="_n_s_date_09_date_format_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/General/Category/<a class="el" href="_n_s_date_09_date_format_8h_source.html">NSDate+DateFormat.h</a></li>
<li>XHXKit/Classes/General/Category/<a class="el" href="_n_s_date_09_date_format_8m_source.html">NSDate+DateFormat.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_n_s_date_07_date_format_08.html">NSDate(DateFormat)</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
